FreeMat

- Main Page
- Related Pages

vtkFixedPointVolumeRayCastMIPHelper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

This is one of the helper classes for the vtkFixedPointVolumeRayCastMapper. It will generate maximum intensity images. This class should not be used directly, it is a helper class for the mapper and has no user-level API.

To create an instance of class vtkFixedPointVolumeRayCastMIPHelper, simply invoke its constructor as follows

      obj = vtkFixedPointVolumeRayCastMIPHelper

# Methods

The class vtkFixedPointVolumeRayCastMIPHelper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkFixedPointVolumeRayCastMIPHelper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkFixedPointVolumeRayCastMIPHelper = obj.NewInstance ()`
- `vtkFixedPointVolumeRayCastMIPHelper = obj.SafeDownCast (vtkObject o)`
- `obj.GenerateImage (int threadID, int threadCount, vtkVolume vol, vtkFixedPointVolumeRayCastMapper mapper)`